Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Interface IndexedProperty

All Superinterfaces:
  Property

    public interface IndexedProperty

extends Property

This class describes information of a bean's indexed properties.

Method Summary
`Class` | `getIndexedType()` Get the class of the indexed elements.
`Object` | `getValue(int i)` Get the value of the indexed element.
`boolean` | `isIndexReadOnly()` Test if readonly at index level.
`void` | `setValue(int i, Object arg)` Set the value of the element with given index.

Methods inherited from interface com.atomikos.beans.Property
`getAllowedValues, getDescription, getEditor, getIndexedProperty, getName, getType, getValue, isExpert, isHidden, isPreferred, isReadOnly, setValue`

Method Detail

### getValue

    Object getValue(int i)
                    throws PropertyException

  Get the value of the indexed element.

  Parameters:
    `i` - The index.
  Returns:
    Object The value, or null if no getter or not set.
  Throws:
    `PropertyException` - On error.

### isIndexReadOnly

    boolean isIndexReadOnly()

  Test if readonly at index level.

  Returns:
    boolean true if there is no index-level setter method.

### setValue

    void setValue(int i,
                  Object arg)
                  throws ReadOnlyException,
                         PropertyException

  Set the value of the element with given index.

  Parameters:
    `i` - The index.
    `arg` - The element value.
  Throws:
    `ReadOnlyException` - If no appropriate setters.
    `PropertyException` - If the set fails.

### getIndexedType

    Class getIndexedType()

  Get the class of the indexed elements.

  Returns:
    Class The class for the elements of the property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.